# LineStyleThicknessModifier(LineStyleModifier)

base classes — `bpy_struct`, `LineStyleModifier`

subclasses — `LineStyleThicknessModifier_AlongStroke`, `LineStyleThicknessModifier_Calligraphy`, `LineStyleThicknessModifier_CreaseAngle`, `LineStyleThicknessModifier_Curvature_3D`, `LineStyleThicknessModifier_DistanceFromCamera`, `LineStyleThicknessModifier_DistanceFromObject`, `LineStyleThicknessModifier_Material`, `LineStyleThicknessModifier_Noise`, `LineStyleThicknessModifier_Tangent`

class `bpy.types.``LineStyleThicknessModifier`(LineStyleModifier)

  Base type to define line thickness modifiers

Inherited Properties

`bpy_struct.id_data` |

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` | `bpy_struct.keyframe_delete` `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`FreestyleLineStyle.thickness_modifiers` `LineStyleThicknessModifiers.new` | `LineStyleThicknessModifiers.remove`